Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.configuration
Class ConfigurationServiceImpl

    java.lang.Object
      org.richfaces.application.configuration.ConfigurationServiceImpl

All Implemented Interfaces:
  org.richfaces.application.configuration.ConfigurationService

    public class ConfigurationServiceImpl

extends Object
implements org.richfaces.application.configuration.ConfigurationService

Author:
  Nick Belaevski

Constructor Summary
`ConfigurationServiceImpl()`

Method Summary
`protected org.richfaces.application.configuration.ValueExpressionHolder` | `createValueExpressionHolder(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String defaultValueString, Class<?> returnType)`
`Boolean` | `getBooleanValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`
`<T extends Enum<T>> T`
` | `getEnumValue(javax.faces.context.FacesContext facesContext, Enum<?> key, Class<T> enumClass)`
`Integer` | `getIntValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`Long` | `getLongValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`String` | `getStringValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`Object` | `getValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
`protected
`<T> T`
` | `getValue(javax.faces.context.FacesContext facesContext, Enum<?> key, Class<T> returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationServiceImpl

    public ConfigurationServiceImpl()

Method Detail

### createValueExpressionHolder

    protected org.richfaces.application.configuration.ValueExpressionHolder createValueExpressionHolder(javax.faces.context.FacesContext context,
                                                                                                        javax.el.ValueExpression expression,
                                                                                                        String defaultValueString,
                                                                                                        Class<?> returnType)

### getValue

    protected <T> T getValue(javax.faces.context.FacesContext facesContext,
                             Enum<?> key,
                             Class<T> returnType)

### getBooleanValue

    public Boolean getBooleanValue(javax.faces.context.FacesContext facesContext,
                                   Enum<?> key)

  Specified by:
    `getBooleanValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getIntValue

    public Integer getIntValue(javax.faces.context.FacesContext facesContext,
                               Enum<?> key)

  Specified by:
    `getIntValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getLongValue

    public Long getLongValue(javax.faces.context.FacesContext facesContext,
                             Enum<?> key)

  Specified by:
    `getLongValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getStringValue

    public String getStringValue(javax.faces.context.FacesContext facesContext,
                                 Enum<?> key)

  Specified by:
    `getStringValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getEnumValue

    public <T extends Enum<T>> T getEnumValue(javax.faces.context.FacesContext facesContext,
                                              Enum<?> key,
                                              Class<T> enumClass)

  Specified by:
    `getEnumValue` in interface `org.richfaces.application.configuration.ConfigurationService`

### getValue

    public Object getValue(javax.faces.context.FacesContext facesContext,
                           Enum<?> key)

  Specified by:
    `getValue` in interface `org.richfaces.application.configuration.ConfigurationService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.